<html>
<head>
<title>Ogre::EntityMaterialLodChangedEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">EntityMaterialLodChangedEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EntityMaterialLodChangedEvent Struct Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EntityMaterialLodChangedEvent" -->
<p>Struct containing information about a material lod change event for entities.  
 <a href="structOgre_1_1EntityMaterialLodChangedEvent.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EntityMaterialLodChangedEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SubEntity.html">SubEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a0b03437c5c7d5e9948e413f776c83b24">subEntity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The sub-entity whose material's level of detail has changed.  <a href="#a0b03437c5c7d5e9948e413f776c83b24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a4bfd20cbada596bc5f5df22d27a9003a">camera</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The camera with respect to which the level of detail has changed.  <a href="#a4bfd20cbada596bc5f5df22d27a9003a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a9f6f11b3dc3989fc136e7796b8c9669c">lodValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lod value as determined by lod strategy.  <a href="#a9f6f11b3dc3989fc136e7796b8c9669c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#ac1ef9f1812187d614ffa45cd3059ca05">previousLodIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous level of detail index.  <a href="#ac1ef9f1812187d614ffa45cd3059ca05"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a3cf406b5a0364410f0090013e41ed924">newLodIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">New level of detail index.  <a href="#a3cf406b5a0364410f0090013e41ed924"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct containing information about a material lod change event for entities. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00073">73</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4bfd20cbada596bc5f5df22d27a9003a"></a><!-- doxytag: member="Ogre::EntityMaterialLodChangedEvent::camera" ref="a4bfd20cbada596bc5f5df22d27a9003a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a4bfd20cbada596bc5f5df22d27a9003a">Ogre::EntityMaterialLodChangedEvent::camera</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The camera with respect to which the level of detail has changed. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00079">79</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f6f11b3dc3989fc136e7796b8c9669c"></a><!-- doxytag: member="Ogre::EntityMaterialLodChangedEvent::lodValue" ref="a9f6f11b3dc3989fc136e7796b8c9669c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a9f6f11b3dc3989fc136e7796b8c9669c">Ogre::EntityMaterialLodChangedEvent::lodValue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lod value as determined by lod strategy. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00082">82</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3cf406b5a0364410f0090013e41ed924"></a><!-- doxytag: member="Ogre::EntityMaterialLodChangedEvent::newLodIndex" ref="a3cf406b5a0364410f0090013e41ed924" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a3cf406b5a0364410f0090013e41ed924">Ogre::EntityMaterialLodChangedEvent::newLodIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>New level of detail index. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00088">88</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac1ef9f1812187d614ffa45cd3059ca05"></a><!-- doxytag: member="Ogre::EntityMaterialLodChangedEvent::previousLodIndex" ref="ac1ef9f1812187d614ffa45cd3059ca05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#ac1ef9f1812187d614ffa45cd3059ca05">Ogre::EntityMaterialLodChangedEvent::previousLodIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Previous level of detail index. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00085">85</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0b03437c5c7d5e9948e413f776c83b24"></a><!-- doxytag: member="Ogre::EntityMaterialLodChangedEvent::subEntity" ref="a0b03437c5c7d5e9948e413f776c83b24" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SubEntity.html">SubEntity</a>* <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a0b03437c5c7d5e9948e413f776c83b24">Ogre::EntityMaterialLodChangedEvent::subEntity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The sub-entity whose material's level of detail has changed. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00076">76</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
